API de Google Scholar
Obtén resultados académicos y científicos de Google Scholar en tiempo real. Establece engine=google_scholar y pasa el tema o el título del artículo en q para obtener una lista estructurada de publicaciones con autores, citas y enlaces a PDF.
Endpoint
Sección titulada «Endpoint» GET https://serp.shifter.io/v1?engine=google_scholar&api_key=YOUR_API_KEY
Parameters
Sección titulada «Parameters»| Parameter | Type | Required | Description |
|---|---|---|---|
api_key | string | yes | Tu clave de API de SERP |
engine | string | yes | Debe ser google_scholar |
q | string | yes | La consulta de búsqueda |
lr | string | no | Restricción de idioma, formato lang_xx |
hl | string | no | Código de idioma de la interfaz |
start | int | no | Desplazamiento de resultados para paginación |
num | int | no | Número de resultados por página |
as_vis | int | no | 1 para excluir citas, 0 para incluirlas |
safe | string | no | active o off |
cites | string | no | ID único del artículo para activar búsquedas de Cited By |
as_ylo | int | no | Año más antiguo a incluir |
as_yhi | int | no | Año más reciente a incluir |
scisbd | int | no | 1 solo para resúmenes, 0 para todos los resultados |
Example request
Sección titulada «Example request»curl "https://serp.shifter.io/v1?engine=google_scholar&api_key=YOUR_API_KEY&q=python"import requests
params = { "engine": "google_scholar", "api_key": "YOUR_API_KEY", "q": "python",}r = requests.get("https://serp.shifter.io/v1", params=params)data = r.json()import fetch from 'node-fetch';
const url = 'https://serp.shifter.io/v1?' + new URLSearchParams({ engine: 'google_scholar', api_key: 'YOUR_API_KEY', q: 'python',});const data = await (await fetch(url)).json();Example response
Sección titulada «Example response»{ "search_parameters": { "engine": "google_scholar", "q": "python" }, "organic_results": [ { "position": 1, "title": "Python for data analysis", "result_id": "FDc6HiktlqEJ", "link": "https://example.com/paper.pdf", "snippet": "This book is concerned with the nuts and bolts of manipulating...", "publication_info": { "summary": "W McKinney - 2012 - oreilly.com" }, "inline_links": { "cited_by": { "total": 12000, "cites_id": "11234567" } } } ]}